Bug 435286 - Review Request: ocaml-json-wheel - OCaml library for parsing JSON
Review Request: ocaml-json-wheel - OCaml library for parsing JSON
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 241472
Blocks: 435287
  Show dependency treegraph
 
Reported: 2008-02-28 09:57 EST by Richard W.M. Jones
Modified: 2008-03-07 14:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 14:36:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-28 09:57:35 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-json-wheel.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-json-wheel-1.0.4-1.fc9.src.rpm
Description: OCaml library for parsing JSON
Comment 1 Richard W.M. Jones 2008-02-28 09:59:16 EST
This package is completely rpmlint clean (w00t!)
Comment 2 Parag AN(पराग) 2008-03-01 09:36:49 EST
build failed
http://koji.fedoraproject.org/koji/taskinfo?taskID=482063
Comment 3 Richard W.M. Jones 2008-03-01 10:46:06 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-json-wheel.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-json-wheel-1.0.4-2.fc9.src.rpm

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.4-2
- Missing BR ocaml-pcre-devel.
- Missing BR pcre-devel.

I've built it in mock this time, so I'm fairly confident it should
build for you now.
Comment 4 Parag AN(पराग) 2008-03-01 11:23:26 EST
Packaging guildelines said
*.cmo files are not normally included. There is however one exception -- if file
is needed for link (like gtkInit.cmo in lablgtk or std_exit.cmo in OCaml
itself), then it should be included.


*.o files are not normally included. There is however one exception -- if file
is needed for link (like gtkInit.cmx and gtkInit.o in lablgtk or std_exit.cmx
and std_exit.o in OCaml itself), then it should be included.


Is *.o belongs to main package or -devel if allowed because I see description
written for *.o under -devel sub-package in ocaml guidelines.


Also, I didn't get following 

# Stop it from trying to install jsoncat into /usr/bin ...
mv jsoncat jsoncat.ignore
make install

# ... and then install jsoncat by hand.
mv jsoncat.ignore jsoncat
install -m 0755 jsoncat $RPM_BUILD_ROOT%{_bindir}
Comment 5 Richard W.M. Jones 2008-03-05 06:52:27 EST
The *.cmo and *.o files are wrong.  I don't know why upstream is
distributing them, but they aren't of any use so I removed them.

The 'make install' rule tries to install jsoncat binary in /usr/bin.
In the latest version (below) I've come up with a better way to get
it to go in the build root instead.

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-json-wheel.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-json-wheel-1.0.4-3.fc9.src.rpm

* Wed Mar  5 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.4-3
- Don't distribute the *.cmo and *.o files.
- Better way to install jsoncat in the right directory.
Comment 6 Richard W.M. Jones 2008-03-05 06:53:26 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=493622
Comment 7 Parag AN(पराग) 2008-03-05 07:21:03 EST
I see like other new ocaml package SPECs this still contains
ExcludeArch:    ppc64
do you want to remove it?
Comment 8 Richard W.M. Jones 2008-03-05 07:44:45 EST
I don't anticipate any of these packages having a problem building on
ppc64.  They just have the ExcludeArch tag because they predate David
Woodhouse fixing OCaml on ppc64 last weekend.

Here's a package with that tag removed:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-json-wheel.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-json-wheel-1.0.4-4.fc9.src.rpm

* Wed Mar  5 2008 Richard W.M. Jones <rjones@redhat.com> - 1.0.4-4
- Remove ExcludeArch ppc64.

and a Koji build of the same:

http://koji.fedoraproject.org/koji/taskinfo?taskID=493691
Comment 9 Parag AN(पराग) 2008-03-07 04:34:39 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=493691
+ rpmlint is silent for SRPM; But NOT for RPM.
ocaml-json-wheel.i386: E: only-non-binary-in-usr-lib
==> ok to accept here.
+ source files match upstream.
667e42357cc7e1719292c6a3342a6489  json-wheel-1.0.4.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package ocaml-json-wheel-1.0.4-4.fc9 =>
  Provides: ocaml(Json_compat) = 99cebcac918a66f27316059db109782a ocaml(Json_io)
= 52553d734898d31c7b419e1b6a600273 ocaml(Json_lexer) =
c11763bec46e9284e661d97ec5e11941 ocaml(Json_parser) =
13f8cd16968df74bb85d09f04d97f860 ocaml(Json_type) = 1166c909179ab9c074a1d9eb1033292b
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.2) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libdl.so.2 libdl.so.2(GLIBC_2.0)
libdl.so.2(GLIBC_2.1) libm.so.6 libm.so.6(GLIBC_2.0) libpcre.so.0 ocaml(Buffer)
= f6cef633ea14963b84b79c4095c63dc3 ocaml(Format) =
35fe566f7a37d8991a5c822bd1463949 ocaml(Hashtbl) =
083f2c94b44ff4e0b3220aaea6a783b4 ocaml(Lexing) =
b1793496643444d3762dd42bebe2cfe3 ocaml(List) = da1ce9168f0408ff26158af757456948
ocaml(Netbuffer) = 7cf39cb9b7f9f5d954f8309e1b9eb996 ocaml(Netchannels) =
497ae5faf0d2e1d27a6097fe8dc36a34 ocaml(Netconversion) =
94e7482412c7dbe2fda57ea767039b07 ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
ocaml(Parsing) = 62cca107e4e88af303516459a87c3e9a ocaml(Pervasives) =
8ba3d1faa24d659525c9025f41fd0c57 ocaml(Printf) =
5dbbf45a03b54e6dbfcf39178d0d6341 ocaml(String) =
2c162ab314b2f0a2cfd22d471b2e21ab ocaml(Unix) = 9a46a8db115947409e54686ada118599
ocaml(runtime) = 3.10.1
+ Package ocaml-json-wheel-devel-1.0.4-4.fc9 =>
  Requires: ocaml-json-wheel = 1.0.4-4.fc9
+ Followed ocaml packaging guidelines.
APPROVED.
Comment 10 Richard W.M. Jones 2008-03-07 04:51:04 EST
New Package CVS Request
=======================
Package Name: ocaml-json-wheel
Short Description: OCaml library for parsing JSON
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-03-07 12:48:47 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.